package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.utils.excel.DataConverter;
import com.ruoyi.project.VRdemo.domain.Press;

public class PressImData implements BaseImData<PressImData, Press> {

    @ExcelProperty("序号")
    private Long id;

    @ExcelProperty("题目")
    private String title;

    @ExcelProperty("作者")
    private String author;

    @ExcelProperty("刊名")
    private String pressTitle;

//    @ExcelProperty("frequency")
    @ExcelIgnore
    private String date;

    @ExcelProperty("刊期")
    private String issue;

    @ExcelProperty("起止页")
    private String pages;

    @ExcelProperty("关键词")
    private String keyword;

    @ExcelProperty("分类")
    private String classify;

    @ExcelProperty("地区")
    private String area;

    @ExcelIgnore
    DataConverter<PressImData, Press> converter = new DataConverter<>() {
        @Override
        protected Press convert(PressImData pressImData) {
            Press press = new Press();
            press.setPressId(pressImData.getId());
            press.setPressTitle(pressImData.getPressTitle());
            press.setTitle(pressImData.getTitle());
            press.setAuthor(pressImData.getAuthor());
//        press.setDate(new Date(pressImData.getDate()));
            press.setIssue(pressImData.getDate());
            press.setPages(pressImData.getPages());
            press.setKeyword(pressImData.getKeyword());
            press.setClassify(pressImData.getClassify());
            press.setArea(pressImData.getArea());
            return press;
        }
    };

    @Override
    public DataConverter<PressImData, Press> getConverter() {
        return converter;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getIssue() {
        return issue;
    }

    public void setIssue(String issue) {
        this.issue = issue;
    }

    public String getPages() {
        return pages;
    }

    public void setPages(String pages) {
        this.pages = pages;
    }

    public String getPressTitle() {
        return pressTitle;
    }

    public void setPressTitle(String pressTitle) {
        this.pressTitle = pressTitle;
    }

    @Override
    public String toString() {
        return "PressImData{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", author='" + author + '\'' +
                ", pressTitle='" + pressTitle + '\'' +
                ", date='" + date + '\'' +
                ", issue='" + issue + '\'' +
                ", pages='" + pages + '\'' +
                ", keyword='" + keyword + '\'' +
                ", classify='" + classify + '\'' +
                ", area='" + area + '\'' +
                '}';
    }
}
