package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Economy;

/**
 * 东南亚经济统计Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-06
 */
public interface EconomyMapper {

    /**
     * 查询东南亚经济统计
     *
     * @param id 东南亚经济统计主键
     * @return 东南亚经济统计
     */
    Economy selectEconomyById(Long id);

    /**
     * 根据标题查询
     */
    Economy selectEconomyByTitle(String title);

    /**
     * 查询东南亚经济统计列表
     *
     * @param economy 东南亚经济统计
     * @return 东南亚经济统计集合
     */
    List<Economy> selectEconomyList(Economy economy);

    /**
     * 新增东南亚经济统计
     *
     * @param economy 东南亚经济统计
     * @return 结果
     */
    int insertEconomy(Economy economy);

    /**
     * 批量插入数据
     */
    int insertEconomyDataList(List<Economy> dataList);

    /**
     * 修改东南亚经济统计
     *
     * @param economy 东南亚经济统计
     * @return 结果
     */
    int updateEconomy(Economy economy);

    /**
     * 删除东南亚经济统计
     *
     * @param id 东南亚经济统计主键
     * @return 结果
     */
    int deleteEconomyById(Long id);

    /**
     * 批量删除东南亚经济统计
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteEconomyByIds(Long[] ids);

}
