package com.ruoyi.project.VRdemo.mapper;

import com.ruoyi.project.VRdemo.domain.StudyData;
import com.ruoyi.project.VRdemo.domain.StudyNationData;
import com.ruoyi.project.VRdemo.domain.vo.StudyNationDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StudyNationDataMapper {
    /**
     * 查询studyNation
     *
     * @param id studyNation主键
     * @return studyNation
     */
    public StudyNationData selectStudyNationDataById(Long id);

    /**
     * 查询studyNation列表
     *
     * @param studyNationData studyNation
     * @return studyNation集合
     */
    public List<StudyNationData> selectStudyNationDataList(StudyNationData studyNationData);

    /**
     * 新增studyNation
     *
     * @param studyNationData studyNation
     * @return 结果
     */
    public int insertStudyNationData(StudyNationData studyNationData);

    /**
     * 校验用户名称是否唯一
     *
     * @param title 用户名称
     * @return 结果
     */
    public StudyNationData checkUserNameUnique(String title);
    /**
     * 修改studyNation
     *
     * @param studyNationData studyNation
     * @return 结果
     */
    public int updateStudyNationData(StudyNationData studyNationData);
    public boolean  updateFileUploadUrlData(@Param("file")String file, @Param("ids")Long ids);
    /**
     * 删除studyNation
     *
     * @param id studyNation主键
     * @return 结果
     */
    public int deleteStudyNationDataById(Long id);

    /**
     * 批量删除studyNation
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStudyNationDataByIds(Long[] ids);

    public List<StudyNationData> selectStudyNationDataListVo(StudyNationDataVo studyNationDataVo);

    public List<StudyNationData> selectStudyNationDataListVoAll(StudyNationDataVo studyNationDataVo);
}
