package com.ruoyi.project.VRdemo.service;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Research;

/**
 * 研究Service接口
 *
 * @author ruoyi
 * @date 2024-06-23
 */
public interface IResearchService {

    /**
     * 查询研究
     *
     * @param id 研究主键
     * @return 研究
     */
    Research selectResearchById(Long id);

    /**
     * 查询研究列表
     *
     * @param research 研究
     * @return 研究集合
     */
    List<Research> selectResearchList(Research research);

    /**
     * 新增研究
     *
     * @param research 研究
     * @return 结果
     */
    int insertResearch(Research research);

    /**
     * 导入数据
     */
    String importData(List<Research> dataList, boolean updateSupport);

    /**
     * 修改研究
     *
     * @param research 研究
     * @return 结果
     */
    int updateResearch(Research research);

    /**
     * 批量删除研究
     *
     * @param ids 需要删除的研究主键集合
     * @return 结果
     */
    int deleteResearchByIds(Long[] ids);

    /**
     * 删除研究信息
     *
     * @param id 研究主键
     * @return 结果
     */
    int deleteResearchById(Long id);

}
