package com.ruoyi.project.VRdemo.service.impl;

import java.util.List;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.project.VRdemo.domain.ArchivesUnbound;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.VRdemo.mapper.ArchivesUnboundMapper;
import com.ruoyi.project.VRdemo.service.IArchivesUnboundService;

/**
 * 博雅集 Archives Unbound（Gale）Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-06
 */
@Service
public class ArchivesUnboundServiceImpl implements IArchivesUnboundService {

    private final ArchivesUnboundMapper archivesUnboundMapper;

    public ArchivesUnboundServiceImpl(@Autowired ArchivesUnboundMapper archivesUnboundMapper) {
        this.archivesUnboundMapper = archivesUnboundMapper;
    }

    /**
     * 查询博雅集 Archives Unbound（Gale）
     *
     * @param id 博雅集 Archives Unbound（Gale）主键
     * @return 博雅集 Archives Unbound（Gale）
     */
    @Override
    public ArchivesUnbound selectArchivesUnboundById(Long id) {
        return archivesUnboundMapper.selectArchivesUnboundById(id);
    }

    /**
     * 查询博雅集 Archives Unbound（Gale）列表
     *
     * @param archivesUnbound 博雅集 Archives Unbound（Gale）
     * @return 博雅集 Archives Unbound（Gale）
     */
    @Override
    public List<ArchivesUnbound> selectArchivesUnboundList(ArchivesUnbound archivesUnbound) {
        return archivesUnboundMapper.selectArchivesUnboundList(archivesUnbound);
    }

    /**
     * 新增博雅集 Archives Unbound（Gale）
     *
     * @param archivesUnbound 博雅集 Archives Unbound（Gale）
     * @return 结果
     */
    @Override
    public int insertArchivesUnbound(ArchivesUnbound archivesUnbound) {
        archivesUnbound.setCreateTime(DateUtils.getNowDate());
        return archivesUnboundMapper.insertArchivesUnbound(archivesUnbound);
    }

    /**
     * 修改博雅集 Archives Unbound（Gale）
     *
     * @param archivesUnbound 博雅集 Archives Unbound（Gale）
     * @return 结果
     */
    @Override
    public int updateArchivesUnbound(ArchivesUnbound archivesUnbound) {
        archivesUnbound.setUpdateTime(DateUtils.getNowDate());
        return archivesUnboundMapper.updateArchivesUnbound(archivesUnbound);
    }

    /**
     * 批量删除博雅集 Archives Unbound（Gale）
     *
     * @param ids 需要删除的博雅集 Archives Unbound（Gale）主键
     * @return 结果
     */
    @Override
    public int deleteArchivesUnboundByIds(Long[] ids) {
        return archivesUnboundMapper.deleteArchivesUnboundByIds(ids);
    }

    /**
     * 删除博雅集 Archives Unbound（Gale）信息
     *
     * @param id 博雅集 Archives Unbound（Gale）主键
     * @return 结果
     */
    @Override
    public int deleteArchivesUnboundById(Long id) {
        return archivesUnboundMapper.deleteArchivesUnboundById(id);
    }

    /**
     * 新增博雅集 Archives Unbound（Gale）数据列表
     *
     * @param dataList 博雅集 Archives Unbound（Gale）数据列表
     * @return 结果
     */
    @Override
    public String importData(List<ArchivesUnbound> dataList, boolean updateSupport) {
        BulkImportService<ArchivesUnbound> importService = new BulkImportService<>() {
            @Override
            protected Long checkExistingItem(ArchivesUnbound item) {
                ArchivesUnbound archivesUnbound = archivesUnboundMapper.selectArchivesUnboundByTitle(item.getTitle());
                if (archivesUnbound != null) {
                    return archivesUnbound.getId();
                }
                return 0L;
            }

            @Override
            protected boolean updateItem(ArchivesUnbound item, Long id) {
                item.setId(id);
                item.setUpdateBy(SecurityUtils.getLoginUser().getUsername());
                item.setUpdateTime(DateUtils.getNowDate());
                return archivesUnboundMapper.updateArchivesUnbound(item) > 0;
            }

            @Override
            protected boolean executeBatch(List<ArchivesUnbound> batchDataList) {
                return archivesUnboundMapper.insertArchivesUnboundDataList(batchDataList) > 0;
            }

            @Override
            protected String getItemTitle(ArchivesUnbound item) {
                return item.getTitle();
            }
        };

        return importService.importData(dataList, updateSupport);
    }
}
